
Foreman - Bug #4269

Installing Fedora i386 vm on Xen requires PAE kernel and initrd

02/05/2014 05:59 PM - Konrad Scherer

Status: Rejected   

Priority: Normal   

Assignee:    

Category: TFTP   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Foreman 1.4.0 on Ubuntu 12.04.

I am using Xen 4.1 and attempted install of a Fedora 20 i386 vm. This fails because Xen only supports the PAE kernels for 32bit

installs.

When defining the Installation media, Foreman should either default to selecting PAE kernels from the tree or give user the option to

select PAE kernels.

The workaround: manually replace vmlinuz and initrd in /var/lib/tftpboot/boot with PAE versions.

History

#1 - 02/05/2014 06:23 PM - Dominic Cleal

- Category set to TFTP

- translation missing: en.field_release deleted (2)

#2 - 05/18/2017 07:14 PM - Anonymous

- Status changed from New to Rejected

old things are too old.
